=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2006-08-14 15:36:22 +0000
+++ bzrlib/branch.py	2006-08-15 14:02:53 +0000
@@ -307,7 +307,7 @@
         raise errors.UpgradeRequired(self.base)
 
     def last_revision(self):
-        """Return last patch hash, or None if no history."""
+        """Return last revision id, or None"""
         ph = self.revision_history()
         if ph:
             return ph[-1]

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2006-08-15 12:39:42 +0000
+++ bzrlib/tests/__init__.py	2006-08-15 14:02:53 +0000
@@ -142,9 +142,9 @@
         unittest._TextTestResult.__init__(self, stream, descriptions, verbosity)
         self.pb = pb
         if bench_history is not None:
-            #XXX is there a simpler way to get the revison id?
-            branch = bzrlib.branch.Branch.open_containing('.')[0]
-            revision_id = RevisionSpec(branch.revno()).in_history(branch).rev_id
+            # XXX: If there's no branch, what should we do?
+            branch = bzrlib.branch.Branch.open_containing(__file__)[0]
+            revision_id = branch.last_revision()
             bench_history.write("--date %s %s\n" % (time.time(), revision_id))
         self._bench_history = bench_history
     

